#!/usr/bin/env python
# -*- coding: utf8 -*-

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from sos.plugins import Plugin, RedHatPlugin

class ocfs2(Plugin,RedHatPlugin):
    def setup(self):
        self.add_copy_spec("/etc/ocfs2/cluster.conf")
        self.add_cmd_output("service o2cb status", suggest_filename="o2cb.status")
        self.add_cmd_output("service ocfs2 status", suggest_filename="ocfs2.status")
        self.add_cmd_output("mounted.ocfs2 -d", suggest_filename="mounted.ocfs2-d" )
        self.add_cmd_output("mounted.ocfs2 -f", suggest_filename="mounted.ocfs2-f")
        self.add_cmd_output("/bin/cat /etc/ocfs2/cluster.conf", suggest_filename="ocfs2.cluster.conf")
        self.add_cmd_output("/bin/rpm -qa | /bin/egrep -e kernel.*`uname -r`", suggest_filename="kernel.rpms.version")
        self.add_cmd_output("/bin/rpm -qa | /bin/egrep -e ocfs.*`uname -r`", suggest_filename="ocfs2.rpm.version")
        self.add_cmd_output("/sbin/fdisk -l", suggest_filename= "fdisk")
